Bug 254012 - Mysql bug 20048: 5.0.22 FLUSH TABLES WITH READ LOCK bug; need upgrade to 5.0.23
Mysql bug 20048: 5.0.22 FLUSH TABLES WITH READ LOCK bug; need upgrade to 5.0.23
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mysql (Show other bugs)
5.0
All Linux
high Severity high
: ---
: ---
Assigned To: Tom Lane
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 12:48 EDT by J. Parsons
Modified: 2013-07-02 23:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2008-0364
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. Parsons 2007-08-23 12:48:55 EDT
Description of problem:

Version 5.0.22 exhibits mysql bug 20048 that causes unrecoverable deadlocks when using a statement 
required for LVM-snapshot backups, "FLUSH TABLES WITH READLOCK." The deadlock prevents any 
reasonable recovery and requires the mysql daemon to be killed forcefully. 

Version-Release number of selected component (if applicable):

mysql-server 5.0.22-2.1

How reproducible:

Documented mysql bug

Steps to Reproduce:

See http://bugs.mysql.com/bug.php?id=20048
  

Additional info:

See 5.0.23 release notes documenting fix:

http://www.mysql.org/doc/refman/5.0/en/news-5-0-23.html
Comment 2 RHEL Product and Program Management 2007-10-15 23:45:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2008-05-21 11:23:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0364.html

Note You need to log in before you can comment on or make changes to this bug.